org.apache.torque.generator.control

## Class PropertyToJavaGenerationTest

- java.lang.Object
- - org.apache.torque.generator.BaseTest
  - - org.apache.torque.generator.control.PropertyToJavaGenerationTest

-     public class PropertyToJavaGenerationTest
      extends BaseTest

  A test case for a more complex generation. Checks that we can use different generator types in one generation, that debugging output works and that the runOnlyOnSchemaChange detection works.
  Version:
    $Id: PropertyToJavaGenerationTest.java 1855923 2019-03-20 16:19:39Z gk $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyToJavaGenerationTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testPropertyToJavaGeneration()` Tests that the property to java generation works.
    `void` | `testPropertyToJavaGenerationDebugOutput()` Tests that the property to java generation works with debug output switched on.
    `void` | `testPropertyToJavaRunOnlyOnSchemChangeChecksumChange()` Tests that runOnlyOnSchemaChange set true and a different checksum results in generating a second time.
    `void` | `testPropertyToJavaRunOnlyOnSchemChangeModificationDateChange()` Tests that runOnlyOnSchemaChange set true and a different modification date results in generating a second time.
    `void` | `testPropertyToJavaRunOnlyOnSchemChangeNoChange()` Tests that runOnlyOnSchemaChange set true and an unchanged source results in not generating a second time.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyToJavaGenerationTest

          public PropertyToJavaGenerationTest()

  - ### Method Detail

    - #### testPropertyToJavaGeneration

          @Test
          public void testPropertyToJavaGeneration()
                                                   throws Exception

      Tests that the property to java generation works.
      Throws:
        `Exception` - if the test fails.

    - #### testPropertyToJavaGenerationDebugOutput

          @Test
          public void testPropertyToJavaGenerationDebugOutput()
                                                              throws Exception

      Tests that the property to java generation works with debug output switched on.
      Throws:
        `Exception` - if the test fails.

    - #### testPropertyToJavaRunOnlyOnSchemChangeNoChange

          @Test
          public void testPropertyToJavaRunOnlyOnSchemChangeNoChange()
                                                                     throws Exception

      Tests that runOnlyOnSchemaChange set true and an unchanged source results in not generating a second time.
      Throws:
        `Exception` - if the test fails.

    - #### testPropertyToJavaRunOnlyOnSchemChangeChecksumChange

          @Test
          public void testPropertyToJavaRunOnlyOnSchemChangeChecksumChange()
                                                                           throws Exception

      Tests that runOnlyOnSchemaChange set true and a different checksum results in generating a second time.
      Throws:
        `Exception` - if the test fails.

    - #### testPropertyToJavaRunOnlyOnSchemChangeModificationDateChange

          @Test
          public void testPropertyToJavaRunOnlyOnSchemChangeModificationDateChange()
                                                                                   throws Exception

      Tests that runOnlyOnSchemaChange set true and a different modification date results in generating a second time.
      Throws:
        `Exception` - if the test fails.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.